com.aventstack.extentreports

## Class ReportAggregatesBuilder

- java.lang.Object
- - com.aventstack.extentreports.ReportAggregatesBuilder

-     public class ReportAggregatesBuilder
      extends Object

  Builds `ReportAggregates`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReportAggregatesBuilder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ReportAggregates` | `build()`
    `ReportAggregatesBuilder` | `setAuthorContext(TestAttributeTestContextProvider<Author> authorContext)`
    `ReportAggregatesBuilder` | `setCategoryContext(TestAttributeTestContextProvider<Category> categoryContext)`
    `ReportAggregatesBuilder` | `setDeviceContext(TestAttributeTestContextProvider<Device> deviceContext)`
    `ReportAggregatesBuilder` | `setExceptionContext(ExceptionTestContextImpl exceptionContext)`
    `ReportAggregatesBuilder` | `setReportStatusStats(ReportStatusStats reportStatusStats)`
    `ReportAggregatesBuilder` | `setStatusList(List<Status> statusList)`
    `ReportAggregatesBuilder` | `setSystemAttributeContext(SystemAttributeContext systemAttributeContext)`
    `ReportAggregatesBuilder` | `setTestList(List<Test> testList)`
    `ReportAggregatesBuilder` | `setTestRunnerLogs(List<String> testRunnerLogs)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReportAggregatesBuilder

          public ReportAggregatesBuilder()

  - ### Method Detail

    - #### build

          public ReportAggregates build()

    - #### setTestList

          public ReportAggregatesBuilder setTestList(List<Test> testList)

    - #### setTestRunnerLogs

          public ReportAggregatesBuilder setTestRunnerLogs(List<String> testRunnerLogs)

    - #### setCategoryContext

          public ReportAggregatesBuilder setCategoryContext(TestAttributeTestContextProvider<Category> categoryContext)

    - #### setAuthorContext

          public ReportAggregatesBuilder setAuthorContext(TestAttributeTestContextProvider<Author> authorContext)

    - #### setDeviceContext

          public ReportAggregatesBuilder setDeviceContext(TestAttributeTestContextProvider<Device> deviceContext)

    - #### setExceptionContext

          public ReportAggregatesBuilder setExceptionContext(ExceptionTestContextImpl exceptionContext)

    - #### setSystemAttributeContext

          public ReportAggregatesBuilder setSystemAttributeContext(SystemAttributeContext systemAttributeContext)

    - #### setReportStatusStats

          public ReportAggregatesBuilder setReportStatusStats(ReportStatusStats reportStatusStats)

    - #### setStatusList

          public ReportAggregatesBuilder setStatusList(List<Status> statusList)

Copyright © 2018. All rights reserved.